Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3FlushEntityEventListener

    java.lang.Object
      org.hibernate.event.internal.DefaultFlushEntityEventListener
          org.hibernate.ejb.event.EJB3FlushEntityEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, HibernateEntityManagerEventListener, FlushEntityEventListener

    public class EJB3FlushEntityEventListener

extends DefaultFlushEntityEventListener
implements CallbackHandlerConsumer

Overrides the LifeCycle OnSave call to call the PreUpdate operation

See Also:
  Serialized Form

Constructor Summary
`EJB3FlushEntityEventListener()`
`EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`protected boolean` | `invokeInterceptor(SessionImplementor session, Object entity, EntityEntry entry, Object[] values, EntityPersister persister)`
`void` | `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class org.hibernate.event.internal.DefaultFlushEntityEventListener
`checkId, dirtyCheck, handleInterception, isUpdateNecessary, onFlushEntity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener()

### EJB3FlushEntityEventListener

    public EJB3FlushEntityEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### invokeInterceptor

    protected boolean invokeInterceptor(SessionImplementor session,
                                        Object entity,
                                        EntityEntry entry,
                                        Object[] values,
                                        EntityPersister persister)

  Overrides:
    `invokeInterceptor` in class `DefaultFlushEntityEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.